{% if app.session.get('has_rpg_access') %}

   
    {% include('layout/rightColumnCloseButton.twig') %}
    <p>&nbsp;</p>
    <p>
        <b>Données RPG : {{ rpgVersionAnnee }}</b>
    </p>


    {% if parcelles|length < 1 %}
        <p>Aucune information disponible sur cette zone.</p>
      
    {% else %}


        {% if pacage == null %}

        <script type="text/javascript">
            $(document).ready(sendData('mouse=LatLng({{y}},{{x}})&pacage={{parcelles[0].pacage}}', '{{ url('infos-rpg') }}', 'objet'));
        </script>


        {% else %}

        {% set sum_surf = 0 %} 
        {% for p in parcelles %}
            {% set sum_surf = sum_surf + p.surf_adm %} 
        {% endfor %}


        <p>Surface totale {{ sum_surf }} hectares</p>



            <table class='table table-striped table-condensed'>
                <tr>
                    <th>Pacage</th>
                    <th>Ilot</th>               
                    <th>Parcelle</th>            
                    <th>Code culture</th>                    
                    <th>Code précision</th>
                    <th>Surface (ha)</th>   
                    {% for param, val in parcelles[0] %}             
                        {% if param not in ['pacage', 'num_parcel', 'num_ilot','code_cultu', 'precision', 'surf_adm', 'geom', 'is_clicked'] %}
                        <th>{{  param|capitalize }}</th>
                        {% endif %}
                        {% endfor %}           
                </tr>
                {% for p in parcelles %}
                    <tr>
                        <td>{{ p.pacage  }}</td>
                        <td>{{ p.num_ilot }}</td>
                        <td><a href="#" onmouseover="showObjectInMap('rI{{ p.num_ilot }}P{{p.num_parcel}}')" onmouseout="hideObjectInMap('rI{{ p.num_ilot }}P{{p.num_parcel}}')">{{ p.num_parcel  }}</a></td>
                        <td>{{ p.code_cultu  }}</td>                        
                        <td>{{ p.precision  }}</td>                        
                        <td>{{ p.surf_adm }}</td>      
                        {% for param, val in p %}             
                        {% if param not in ['pacage', 'num_parcel', 'num_ilot','code_cultu', 'precision', 'surf_adm', 'geom', 'is_clicked'] %}
                        <td>{{ val }}</td>
                        {% endif %}
                        {% endfor %}
                       {# <td><div class='btn btn-default btn-xs' onclick="$('#iconRpg').toggleClass('text-inactive');sendData('geom={{ p.geom|replace({'MULTIPOLYGON(((':'',' ':',',')':''})}}&geometry_type=ST_Polygon','{{ url('object-create') }}','objet', null);">Créer un objet sysma</div></td> #}
                    
                    </tr>

                {% endfor %}
            </table>

{#
            <p>
            <div class='btn btn-default btn-xs' onclick="$('#iconRpg').toggleClass('text-inactive');sendData('mouse=LatLng({{y}},{{x}})&pacage={{parcelles[0].pacage}}','{{ url('infos-rpg') }}','objet', null);">Sélectionner les parcelles de même pacage</div></td>
            </p>
#}
            <script type="text/javascript">

                $(document).ready(sendData(null, '{{ url('infos-rpg-geo', { 'x': x, 'y' : y, 'buffer':buffer, 'pacage' : parcelles[0].pacage })}}', 'layerstate'));

            </script>
      
        {% endif %}

       

     {% endif %}


{% endif %}